umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DefaultValueWidget::Private Class Reference

## Public Member Functions
| Private (DefaultValueWidget *parent, UMLObject *_type, const QString &_value)
void | setupWidget ()
void | setVisible (bool state)
void | setValue (const QString &value)
QString | value () const

## Public Attributes
DefaultValueWidget * | p
QPointer< UMLObject > | type
QPointer< QLabel > | label
QPointer< QListWidget > | listWidget
QPointer< QLineEdit > | lineWidget
QString | initialValue

## Constructor & Destructor Documentation

## ◆ Private()

DefaultValueWidget::Private::Private | ( | DefaultValueWidget * | parent,
|  | UMLObject * | _type,
|  | const QString & | _value )
| inline

## Member Function Documentation

## ◆ setupWidget()

void DefaultValueWidget::Private::setupWidget | ( |  | ) |
| inline

fill list widget with items

## ◆ setValue()

void DefaultValueWidget::Private::setValue | ( | const QString & | value | ) |
| inline

## ◆ setVisible()

void DefaultValueWidget::Private::setVisible | ( | bool | state | ) |
| inline

## ◆ value()

QString DefaultValueWidget::Private::value | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ initialValue

QString DefaultValueWidget::Private::initialValue

## ◆ label

QPointer<QLabel> DefaultValueWidget::Private::label

## ◆ lineWidget

QPointer<QLineEdit> DefaultValueWidget::Private::lineWidget

## ◆ listWidget

QPointer<QListWidget> DefaultValueWidget::Private::listWidget

## ◆ p

DefaultValueWidget* DefaultValueWidget::Private::p

## ◆ type

QPointer<UMLObject> DefaultValueWidget::Private::type

The documentation for this class was generated from the following file:

- umbrello/dialogs/widgets/defaultvaluewidget.cpp